.cs-sv-01 {
	overflow: hidden;
}

.cs-sv-01-stage {
	--sv-margin-x: 60px;
	--sv-margin-y: 120px;
	position: relative;
	left: 50%;
	right: 50%;
	width: 100vw;
	margin-left: -50vw;
	margin-right: -50vw;
	aspect-ratio: 16 / 9;
}

.cs-sv-01-frame {
	position: absolute;
	top: var(--sv-margin-y);
	right: var(--sv-margin-x);
	bottom: var(--sv-margin-y);
	left: var(--sv-margin-x);
	border-radius: 10px;
	overflow: hidden;
}

.cs-sv-01-video {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.cs-sv-01-controls {
	position: absolute;
	top: 30px;
	right: 30px;
	display: flex;
	align-items: center;
	gap: 16px;
	will-change: transform;
}

.cs-sv-01-btn {
	position: relative;
	width: 40px;
	height: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
	border: none;
	border-radius: 100%;
	background-color: rgba(118, 118, 118, 0.2);
	color: #fff;
	cursor: pointer;
	transition: background-color 0.2s ease-out;
}

.cs-sv-01-btn:hover {
	background-color: rgba(118, 118, 118, 0.45);
}

.cs-sv-01-icon-play {
	display: none;
}

.cs-sv-01-btn.is-paused .cs-sv-01-icon-pause {
	display: none;
}

.cs-sv-01-btn.is-paused .cs-sv-01-icon-play {
	display: block;
}

.cs-sv-01-icon-muted {
	display: none;
}

.cs-sv-01-btn.is-muted .cs-sv-01-icon-unmuted {
	display: none;
}

.cs-sv-01-btn.is-muted .cs-sv-01-icon-muted {
	display: block;
}

@media only screen and (max-width: 735px) {
	.cs-sv-01-stage {
		--sv-margin-x: 34px;
		--sv-margin-y: 60px;
	}
}
